## membuf

membuf — Memory buffer transform functions.

## Stability Level

Stable, unless otherwise indicated

## Functions

xmlSecTransformId | xmlSecTransformMemBufGetKlass ()
xmlSecBufferPtr | xmlSecTransformMemBufGetBuffer ()

## Types and Values

#define | xmlSecTransformMemBufId

## Description

## Functions

### xmlSecTransformMemBufGetKlass ()

    xmlSecTransformId
    xmlSecTransformMemBufGetKlass (void);

The memory buffer transform (used to store the data that go through it).

#### Returns

memory buffer transform klass.

### xmlSecTransformMemBufGetBuffer ()

    xmlSecBufferPtr
    xmlSecTransformMemBufGetBuffer (xmlSecTransformPtr transform);

Gets the pointer to memory buffer transform buffer.

#### Parameters

transform | the pointer to memory buffer transform. |

#### Returns

pointer to the transform's xmlSecBuffer.

## Types and Values

### xmlSecTransformMemBufId

    #define             xmlSecTransformMemBufId

The Memory Buffer transform klass.